function  X_output=E1_change(X,target)

k=size(X,1);
if mod(k,2)==0
    k1=k/2;
else
    k1=(k+1)/2;
end


X0=target;
x0=X0(1);
y0=X0(2);

alpha=1;
epsilon=0.00001;

x=X(1:k1,:);
X(1:k1,:)=x;

R=zeros(1,k)';
for i=1:k
    R(i)=norm(X(i,:)-X0);
end

Ax=sum((X(:,1)-X0(:,1))./R);
Ay=sum((X(:,2)-X0(:,2))./R);

Gx=[(x(:,2)-y0).^2, (x(:,1)-x0).*(x(:,2)-y0)]*([2*Ax,-2*Ay]')./(R(1:k1).^3);
Gy=[(x(:,1)-x0).*(x(:,2)-y0), (x(:,1)-x0).^2]*([-2*Ax,2*Ay]')./(R(1:k1).^3);
G=[Gx,Gy];

while norm(G,'fro')>epsilon
    x=x-alpha*G;  % update x
    
    X(1:k1,:)=x;   % update G
    for i=1:k1
        R(i)=norm(X(i,:)-X0);
    end
    Ax=sum((X(:,1)-X0(:,1))./R);
    Ay=sum((X(:,2)-X0(:,2))./R);
    
    Gx=[(x(:,2)-y0).^2, (x(:,1)-x0).*(x(:,2)-y0)]*([2*Ax,-2*Ay]')./(R(1:k1).^3);
    Gy=[(x(:,1)-x0).*(x(:,2)-y0), (x(:,1)-x0).^2]*([-2*Ax,2*Ay]')./(R(1:k1).^3);
    G=[Gx,Gy];

end

X_output=X;



